const PhoneNumber = require('awesome-phonenumber')
const express = require("@runkit/runkit/express-endpoint/1.0.0")
const app = express(exports)

const bodyParser = require('body-parser')
app.use(bodyParser.json())

function validatePhone (input, country) {
    const phone = PhoneNumber(input, country)
    if (phone.isValid())
        return phone.getNumber('e164')
    return false
}


app.post("/validatephone", (req, res) => {
    if (!req.body.phone) return res.sendStatus(400)
    return res.json({ result: validatePhone(req.body.phone, req.body.country) })
})

;
